<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginHorizontal="20dp"
    android:layout_marginVertical="6dp">

    <androidx.cardview.widget.CardView
        android:id="@+id/card"
        android:layout_width="50dp"
        android:layout_height="50dp"
        app:cardCornerRadius="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:ignore="ContentDescription" />

    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:id="@+id/ll"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="@id/card"
        app:layout_constraintEnd_toStartOf="@id/fl_select"
        app:layout_constraintStart_toEndOf="@id/card"
        app:layout_constraintTop_toTopOf="@id/card">

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ellipsize="middle"
            android:singleLine="true"
            android:textColor="#333333"
            android:textSize="15sp"
            tools:text="VID_20240210_200748.mp3" />

        <TextView
            android:id="@+id/tv_size"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:textColor="#999999"
            android:textSize="14sp"
            tools:text="8.7 MB" />

    </LinearLayout>

    <FrameLayout
        android:id="@+id/fl_select"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_selector"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:background="@drawable/bg_circle_selector"
            tools:ignore="ContentDescription" />
    </FrameLayout>

    <View

        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginTop="12dp"
        android:layout_marginEnd="10dp"
        android:background="#F4F4F4"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@id/fl_select"
        app:layout_constraintStart_toStartOf="@id/ll"
        app:layout_constraintTop_toBottomOf="@id/ll" />

</androidx.constraintlayout.widget.ConstraintLayout>